%define tarname tmail
Summary: TMail is an e-mail handling library
Name: ruby-tmail
Version: 0.10.8
Release: 1
License: LGPL
Group: Applications/Ruby
Source: http://i.loveruby.net/archive/tmail/%{tarname}-%{version}.tar.gz
URL: http://i.loveruby.net/en/tmail.html
Packager: Ian Macdonald <ian@caliban.org>
BuildRoot: /var/tmp/%{name}-%{version}
BuildRequires: ruby

%define ruby18 %( [ `ruby -r rbconfig -e 'print Config::CONFIG["MAJOR"], ".", Config::CONFIG["MINOR"]'` = '1.8' ] && echo 1 || echo 0 )

%if %{ruby18}
Requires: ruby >= 1.8.0
%else
Requires: ruby >= 1.6.0
%endif

%description
TMail is an e-mail handling library. Almost all the RFC2822 and MIME
specifications are currectly supported.

%prep
%setup -n %{tarname}-%{version}
ruby setup.rb config --prefix=$RPM_BUILD_ROOT%{_prefix}
ruby setup.rb setup

%build

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
ruby setup.rb install
find $RPM_BUILD_ROOT%{_prefix} -type f -print | \
  ruby -pe 'sub(%r(^'$RPM_BUILD_ROOT'), "")' > %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
%doc 0ChangeLog BUGS COPYING ChangeLog DEPENDS Incompatibilities
%doc Incompatibilities.ja Makefile NEWS README.en README.ja TODO
%doc doc.en/ doc.ja/ sample/ test/

%changelog
* Tue Apr 13 2004 Ian Macdonald <ian@caliban.org> 0.10.8-1
- 0.10.8
